import { getUser, logout } from '@/api/account'
import { getUserRoles } from '@/api/system'
const user = {
  state: {
    user: {},
    roles: [],
    isLogin: false,
    isSuperAdmin: false
  },

  mutations: {
    setUser(state, user) {
      state.user = user
    },
    setIsLogin(state, isLogin) {
      state.isLogin = isLogin
    },
    setRoles(state, roles) {
      state.roles = roles
    },
    setSuperAdmin(state, isSuperAdmin) {
      state.isSuperAdmin = isSuperAdmin
    }
  },

  actions: {
    getUser({ commit }) {
      getUser().then(response => {
        commit('setUser', response)
      })
    },
    setUserRoles({ commit }) {
      getUserRoles().then(res => {
        const roles = res.data.roles
        let isSuperAdmin = false
        if (roles && Array.isArray(roles)) {
          roles.forEach(it => {
            if (it.name === 'administrator') isSuperAdmin = true
          })
          commit('setRoles', roles)
          commit('setSuperAdmin', isSuperAdmin)
        }
      })
    },
    // 退出登录
    logout({ commit }) {
      return logout().then(response => {
        commit('setUser', {})
        commit('setIsLogin', false)
        return response
      })
    },
    // 检测登录状态
    async checkLogin({ commit }) {
      // await getUserGrade()
      //   .then(response => {
      //     commit('setUserGrade', response.data.level)
      //   })
      //   .catch(() => {
      //   })
      const isLogin = await getUser()
        .then(response => {
          commit('setUser', response.data)
          return true
        })
        .catch(() => {
          commit('setUser', {})
          return false
        })
      commit('setIsLogin', isLogin)
      return isLogin
    }
  }
}

export default user
